# PrepareForLinesHandler

Delegate in [Yarn](/2.3/api/csharp/yarn.md)

Inherits from `System.MulticastDelegate`

## Summary

Represents the method that is called when the dialogue anticipates that it will deliver lines.

```csharp
public delegate void PrepareForLinesHandler(IEnumerable<string> lineIDs);
```

## Remarks

This method should begin preparing to run the lines. For example, if a game delivers dialogue via voice-over, the appropriate audio files should be loaded.

This method serves to provide a hint to the game that a line \_may\_ be run. Not every line indicated in `lineIDs` may end up actually running.

This method may be called any number of times during a dialogue session.

## Parameters

| Name                                                     | Description                                                          |
| -------------------------------------------------------- | -------------------------------------------------------------------- |
| `System.Collections.Generic.IEnumerable<string>` lineIDs | The collection of line IDs that may be delivered at some point soon. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn/yarn.prepareforlineshandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
